Loading...
Searching...
No Matches
etl::lock_guard< TMutex > Class Template Reference

`#include <mutex.h>`

## Public Types

typedef TMutex | mutex_type

## Public Member Functions

| lock_guard (mutex_type &m_)
| ~lock_guard ()
| Destructor.

## Detailed Description

template<typename TMutex>
class etl::lock_guard< TMutex >

lock_guard A mutex wrapper that provides an RAII mechanism for owning a mutex for the duration of a scoped block.

## Constructor & Destructor Documentation

## lock_guard()

template<typename TMutex>

etl::lock_guard< TMutex >::lock_guard | ( | mutex_type & | m_ | ) |

inline explicit

Constructor Locks the mutex.

The documentation for this class was generated from the following file:

- include/etl/mutex.h